Search documentation of bb

# BB.Error.Invalid.JointConfig exception (bb v0.17.0)

Copy Markdown View Source

Invalid joint configuration.

Raised when joint configuration is invalid (e.g., missing limits, invalid joint type for actuator, incompatible settings).

## Summary

### Types

t()

### Functions

exception(msg)

Create an `Elixir.BB.Error.Invalid.JointConfig` without raising it.

## Types

# t()

    @type t() :: %BB.Error.Invalid.JointConfig{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      expected: term(),
      field: atom() | nil,
      joint: atom(),
      message: String.t() | nil,
      path: term(),
      splode: term(),
      stacktrace: term(),
      value: term(),
      vars: term()
    }

## Functions

# exception(msg)

    @spec exception(opts :: Keyword.t()) :: %BB.Error.Invalid.JointConfig{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      expected: term(),
      field: term(),
      joint: term(),
      message: term(),
      path: term(),
      splode: term(),
      stacktrace: term(),
      value: term(),
      vars: term()
    }

Create an `Elixir.BB.Error.Invalid.JointConfig` without raising it.

## Keys

- :joint
- :field
- :value
- :expected
- :message